#import "ButtonColoredTitle.h"

@implementation ButtonColoredTitle
//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{

	// delete focus ring
	[self setFocusRingType:NSFocusRingTypeNone];

	// set text color
	NSAttributedString *attrString = [[[NSAttributedString alloc]
											initWithString:[self title]
											attributes:[NSDictionary dictionaryWithObjectsAndKeys:
															[NSColor whiteColor], NSForegroundColorAttributeName,
															nil
														]
									] autorelease];


	[self setAttributedTitle:attrString];

}

@end
