/* DialogExtension */

#import <Cocoa/Cocoa.h>
#import "WindowInfoStatus.h"

@interface NSObject(dialogExtension_)
	
- (int)displayMessage:(NSString *)messageStyle
					messageText:(NSString *)messageText
					infoText:(NSString *)infoText
					btnList:(NSString *)btnList;

- (int)displayMessageWithIcon:(NSString *)iconName
					messageText:(NSString *)messageText
					infoText:(NSString *)infoText
					btnList:(NSString *)btnList;

- (int)displayMessageAlertOpenMovie:(NSString*)message;
- (int)displayMessageAlertFileIsNotFound:(NSString*)filePath;
- (int)displayMessageAlertAppIsNotFound:(NSString*)filePath;

- (NSArray*)selectFilePathWithOpenPanel:(BOOL)isFile
								isDir:(BOOL)isDir
								isMultiSel:(BOOL)isMultiSel
								isPackage:(BOOL)isPackage
								isAlias:(BOOL)isAlias
								canCreateDir:(BOOL)canCreateDir
								defaultPath:(NSString*)defaultPath;
- (void)postDialogOpenedNotification;
@end
