/* FileAttributeExtension */

#import <Cocoa/Cocoa.h>
#import "FileAttributeStatus.h"

@interface NSObject(fileAttributeExtension_)
	
- (int)checkFileExist:(NSString*)filePath;
- (NSMutableDictionary *)getFileAttribute:(NSString*)filePath;
- (NSString*)getFileTypeName:(NSString*)filePath;
- (NSString*)resolveAliasFileWithPath:(NSString*)path;

- (int)checkFileIsCollect:(NSString*)filePath fileType:(NSString*)fileType;
- (int)checkAndCreateFolder:(NSString*)filePath;

- (BOOL)createNewDirectory:(NSString*)filePath;
- (NSDictionary*)createfileAttbDict;
- (NSString*)deleteLastString:(NSString *)str delStr:(NSString*)delStr isDel:(BOOL*)isDel;

@end
