#import "FloatValueTransformer.h"

@implementation FloatValueTransformer

+ (void)load
{
	[self setValueTransformer:[[FloatValueTransformer alloc] init] forName:@"FloatValueTransformer"];

}

+ (Class)transformedValueClass
{
    return [NSString self];
}

+ (BOOL)allowsReverseTransformation
{
    return YES;
}

- (id)transformedValue:(id)object
{

    if(object == nil){
		return @"0.0";
	}

	return [NSString stringWithFormat:@"%.1f", [object floatValue]];

}
- (id)reverseTransformedValue:(id)value
{
	return [NSNumber numberWithFloat:[value floatValue]];
}

@end