//
//  MacVideoTunes_AppDelegate.h
//  MacVideoTunes
//
//  Created by mametunes on 09/01/25.
//  Copyright mametunes 2009 . All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PlaylistOutlineView.h"

@interface MacVideoTunes_AppDelegate : NSObject 
{
    IBOutlet NSWindow *mainWindow;
	IBOutlet PlaylistOutlineView *olvPlaylist;
    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;
}

+ (void)setupDefaults;

- (NSPersistentStoreCoordinator *)persistentStoreCoordinator;
- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;

@end
