#import "MenuItemFullScreen.h"


@implementation MenuItemFullScreen

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{

	// set action
	[self setTarget:self];
	[self setAction:NSSelectorFromString(@"changeFullScreen:")];

	// set notification
	NSNotificationCenter *nc=[NSNotificationCenter defaultCenter];
	[nc addObserver:self selector:@selector(handleFullScreenDidChanged:) name:WINDOW_NOTIF_FULLSCREEN_DID_CHANGED object:nil];

}

//------------------------------------
// changeFullScreen
//------------------------------------
- (IBAction)changeFullScreen:(id)sender
{

	// post notification
	NSNotificationCenter *nc = [NSNotificationCenter defaultCenter];
	[nc postNotificationName:WINDOW_NOTIF_FULLSCREEN_DID_ENTERED object:nil];

}
//------------------------------------
// handleFullScreenDidChanged
//------------------------------------
- (void)handleFullScreenDidChanged:(NSNotification *)notification
{
	[self setState:[[notification object] intValue]];
}
//------------------------------------
// dealloc
//------------------------------------
- (void)dealloc
{
	[[NSNotificationCenter defaultCenter] removeObserver:self];
    [super dealloc];
}
@end
