#import "MenuItemPlayVolume.h"
#import "UserDefaultsExtension.h"

@implementation MenuItemPlayVolume

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{

	// set action
	[self setTarget:self];
	[self setAction:NSSelectorFromString(@"changePlayVolume:")];

}

//------------------------------------
// changePlayVolume
//------------------------------------
- (IBAction)changePlayVolume:(id)sender
{

	int tag = [sender tag];
	float volume = [self defaultPlayVolume];

	// mute
	if(tag == 0){
		volume = 0;
	}
	// up
	else if(tag == 1){
		volume += 0.1;
	}
	// down
	else if(tag == 2){
		volume -= 0.1;
	}

	if(volume < 0.0){
		volume = 0.0;
	}
	else if(volume > 1.0){
		volume = 1.0;
	}

	[self setDefaultFloatValue:volume key:@"optPlayVolume"];

}

//------------------------------------
// dealloc
//------------------------------------
- (void)dealloc
{
    [super dealloc];
}
@end
