#import "MenuItemShowMissingItems.h"
#import "ViewMain.h"

@implementation MenuItemShowMissingItems

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{
	// set action
	[self setTarget:self];
	[self setAction:NSSelectorFromString(@"changeShowMissingItems:")];

	[self setState:0];
	[self setTag:TAG_SHOW_MISSING_ITEMS_YES];

}

//=======================================================================
// actions
//=======================================================================
- (IBAction)changeShowMissingItems:(id)sender
{
	int tag = [sender tag];

	[viewMain searchMissingItems:sender];


	if(tag == TAG_SHOW_MISSING_ITEMS_YES){
		tag = TAG_SHOW_MISSING_ITEMS_NO;
	}else{
		tag = TAG_SHOW_MISSING_ITEMS_YES;
	}

	[self updateMenuItemStatus:tag];

}
//------------------------------------
// updateMenuItemStatus
//------------------------------------
- (void)updateMenuItemStatus:(int)tag
{
	// show
	if(tag == TAG_SHOW_MISSING_ITEMS_YES){
		// un show
		[self setState:0];
	}
	// un show
	else{
		// show
		[self setState:1];
	}

	[self setTag:tag];
}
//------------------------------------
// dealloc
//------------------------------------
- (void)dealloc
{
    [super dealloc];
}
@end
