#import "BoxSelectMatrixItem.h"
#import "GalleryMatrix.h"

@implementation BoxSelectMatrixItem

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{

}
//------------------------------------
// scrollWheel
//------------------------------------
- (void)scrollWheel:(NSEvent *)theEvent
{
	int wheelDelta;

	wheelDelta = [theEvent deltaY];

	if(wheelDelta <= 0){
		// down
		if([theEvent modifierFlags] & NSCommandKeyMask){
			[targetMatrix selectMovedCell:KEY_ARROW_DOWN isShift:NO isCmd:NO];
		}
		// right
		else{
			[targetMatrix selectMovedCell:KEY_ARROW_RIGHT isShift:NO isCmd:NO];
		}
	}else{
		// up
		if([theEvent modifierFlags] & NSCommandKeyMask){
			[targetMatrix selectMovedCell:KEY_ARROW_UP isShift:NO isCmd:NO];
		}
		// left
		else{
			[targetMatrix selectMovedCell:KEY_ARROW_LEFT isShift:NO isCmd:NO];
		}
	}
}

@end
