/* ChapterExtension */

#import <Cocoa/Cocoa.h>

@interface NSObject(chapterExtension_)
	
- (NSString*)getChapterHomePath;
- (NSString*)getChapterFolderPath:(NSString*)uniqueId;
- (NSString*)getChapterImagePath:(NSString*)uniqueId chapterId:(NSString*)chapterId;
- (NSImage*)getChapterImage:(NSString*)filePath isSound:(BOOL)isSound;
- (BOOL)checkAndCreateChapterFolder:(NSString*)uniqueId showAlert:(BOOL)showAlert;
- (BOOL)createChapterImage:(NSImage*)image
					uniqueId:(NSString*)uniqueId
					chapterId:(NSString*)chapterId
					isCheckFolder:(BOOL)isCheckFolder
					showAlert:(BOOL)showAlert;
- (BOOL)removeChapterImage:(NSString*)uniqueId chapterId:(NSString*)chapterId;
- (BOOL)removeChapterFolder:(NSString*)uniqueId;

@end
