/* FilelistTableView */

#import <Cocoa/Cocoa.h>
#import "ItemInfoStatus.h"
#import "PasteboardTypes.h"

@class TableColumnManager;

@interface FilelistTableView : NSTableView
{
	IBOutlet id viewMain;
	IBOutlet NSArrayController *filelistArrayController;

	IBOutlet NSMenu *cmFilelist;
	IBOutlet NSMenu *cmFilelistHeader;
	IBOutlet NSSlider *sliderRowHeight;

	TableColumnManager *tcm_;
}
- (IBAction)changeRowHeight:(id)sender;
- (IBAction)changeColumnState:(id)sender;

- (BOOL)isShowColumn:(NSString*)identifier;


@end
