#import "MenuItemAlwaysOnTop.h"

@implementation MenuItemAlwaysOnTop

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{
	// set action
	[self setTarget:self];
	[self setAction:NSSelectorFromString(@"changeTopScreen:")];

	// set notification
	NSNotificationCenter *nc=[NSNotificationCenter defaultCenter];
	[nc addObserver:self selector:@selector(handleTopScreenDidChanged:) name:WINDOW_NOTIF_TOPSCREEN_DID_CHANGED object:nil];
}
//------------------------------------
// changeTopScreen
//------------------------------------
- (IBAction)changeTopScreen:(id)sender
{

	// post notification
	NSNotificationCenter *nc = [NSNotificationCenter defaultCenter];
	[nc postNotificationName:WINDOW_NOTIF_TOPSCREEN_DID_ENTERED object:nil];

}
//------------------------------------
// handleFullScreenDidChanged
//------------------------------------
- (void)handleTopScreenDidChanged:(NSNotification *)notification
{
	[self setState:[[notification object] intValue]];
}
//------------------------------------
// dealloc
//------------------------------------
- (void)dealloc
{
	[[NSNotificationCenter defaultCenter] removeObserver:self];
    [super dealloc];
}

@end
