#import "ProgressIndicatorLoading.h"

@implementation ProgressIndicatorLoading

//=======================================================================
// awake App
//=======================================================================
- (void)awakeFromNib
{

	// set notification
	NSNotificationCenter *nc=[NSNotificationCenter defaultCenter];
	[nc addObserver:self selector:@selector(handleVideoLoadingDidChanged:) name:VIDEO_NOTIF_LOADING_DID_CHANGED object:nil];

}
//------------------------------------
// handleVideoLoadingDidChanged
//------------------------------------
- (void)handleVideoLoadingDidChanged:(NSNotification *)notification
{
	BOOL isLoading = [[notification object] boolValue];

	if(isLoading == YES){
		[self startAnimation:nil];
	}
	else{
		[self stopAnimation:nil];
	}

}

//------------------------------------
// dealloc
//------------------------------------
- (void)dealloc
{
	[[NSNotificationCenter defaultCenter] removeObserver:self];

	[super dealloc];
}

@end
