/* ThumbsExtension */

#import <Cocoa/Cocoa.h>

@interface NSObject(thumbsExtension_)
	
- (NSString*)getThumbsFolderPath;
- (NSString*)getThumbsImagePath:(NSString*)uniqueId;
- (NSImage*)getThumbsImage:(NSString*)filePath
				thumbsPath:(NSString*)thumbsPath
				isSound:(BOOL)isSound;
- (BOOL)checkAndCreateThumbsFolder:(BOOL)showAlert;
- (BOOL)createThumbsImage:(NSImage*)image
					uniqueId:(NSString*)uniqueId
					isCheckFolder:(BOOL)isCheckFolder
					showAlert:(BOOL)showAlert;
- (BOOL)removeThumbsImage:(NSString*)uniqueId;

@end
