/* ViewGallery */

#import <Cocoa/Cocoa.h>
#import "GalleryMatrix.h"
#import "GalleryWindow.h"
#import "RoundedView.h"
#import "WindowInfoStatus.h"

@interface ViewGallery : NSObject
{

	IBOutlet id viewPlayer;
	IBOutlet id viewChapter;

	IBOutlet id tbArrayController;
	IBOutlet NSArrayController *filelistArrayController;
	
    IBOutlet GalleryMatrix *galleryMatrix;
    IBOutlet GalleryWindow *galleryWindow;
    IBOutlet RoundedView *roundedView;

	id itemObject_;
	BOOL isPlay_;

}
- (IBAction)openGalleryWindow:(id)sender;
- (IBAction)closeGalleryWindow:(id)sender;
- (IBAction)changeGalleryWindow:(id)sender;
- (IBAction)playItem:(id)sender;

- (void)playSelectedItem:(BOOL)isOpen isFront:(BOOL)isFront;

- (void)setItemObject:(id)itemObject;
- (id)itemObject;
- (void)setIsPlay:(BOOL)isPlay;
- (BOOL)isPlay;
- (BOOL)isVisibleWindow;
- (BOOL)isNotVisibleWindow;
- (BOOL)isKeyWindow;

@end
