/* ViewPrefs */

#import <Cocoa/Cocoa.h>
#import "PolishedWindow.h"

@interface ViewPrefs : NSObject
{

	IBOutlet PolishedWindow *mainWindow;
//	IBOutlet PolishedWindow *playerWindow;
	IBOutlet PolishedWindow *logWindow;
	IBOutlet NSWindow *prefsWindow;
	IBOutlet NSWindow *helpWindow;

	IBOutlet NSTabView *tabViewPrefs;

	IBOutlet NSTextField *txtDefaultAppName;
	IBOutlet NSImageView *imageDefaultApp;
}

- (IBAction)openPrefsWindow:(id)sender;
- (IBAction)openPrefsWindowWithTabIdentifier:(id)sender;
- (IBAction)openHelpWindow:(id)sender;

- (IBAction)selectDefaultAppPlayer:(id)sender;

- (IBAction)changeWindowTheme:(id)sender;

- (void)openTabViewWithIdentifier:(NSString*)identifier;
- (BOOL)setDefaultAppPlayer:(NSArray*)filePaths;

@end
